Bug 470099 - Berlin Tempelhof may not longe used for weahter information
Berlin Tempelhof may not longe used for weahter information
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libgweather (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Winship
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 13:53 EST by Lebenskuenstler
Modified: 2009-01-13 09:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 09:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lebenskuenstler 2008-11-05 13:53:12 EST
I hope I report against the right package. If not so, please reassign.

Description of problem:

I am using the weather forecast feature at the GNOME Desktop. Since the airport Berlin Tempelhof was closed at Oct 31rd it does not send correct weather data anymore. Since this date, I at always has says something about a weather of 4 degrees. Luckily it is currently not that cold around here :)

If I use instead of Berlin Tempelhof Schönefeld or Tegel instead, I get the correct weather data.

Version-Release number of selected component (if applicable):

Gnome 2.22, also Gnome 2.24
Comment 1 Bug Zapper 2008-11-25 23:50:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Steve Tyler 2009-01-10 08:46:59 EST
Confirming this bug with:
gnome-panel-2.24.2-1.fc10.i386
libgweather-2.24.2-1.fc10.i386

A Wireshark capture shows that the applet sends this query for Berlin-Tempelhof:

http://weather.noaa.gov/cgi-bin/mgetmetar.pl?cccc=EDDI

The reply includes this date/time: 2008/10/30 23:50 UTC

The panel applet could display this date/time so that a user would know how old the observations are. It might also be useful to flag stale observations (older than 24 hours, say).

Another enhancement would be to display the full location name.
For example, the "Current Conditions" tab could show "Berlin-Tempelhof" instead of  "Berlin".

Also, the label "City" is misleading. It would more accurate to say "Location".
Comment 3 Steve Tyler 2009-01-10 08:49:39 EST
For completeness, here is the full reply from:
http://weather.noaa.gov/cgi-bin/mgetmetar.pl?cccc=EDDI

Latest METAR Observation(s) for: EDDI
EDDI

The most recent METAR observation from EDDI in our system was generated at the source at:

2008/10/30 23:50 UTC

The observation is:
EDDI 302350Z 26007KT 9999 FEW006 BKN011 04/04 Q1003
Comment 4 Steve Tyler 2009-01-10 14:04:07 EST
It appears that inactive stations are removed with the aid of a Python script.
http://svn.gnome.org/viewvc/libgweather/trunk/data/sources/README.sources?view=markup

However, Berlin-Tempelhof is in SVN rev. 534.
http://svn.gnome.org/viewvc/libgweather/trunk/data/Locations.xml.in?view=log
Comment 5 Steve Tyler 2009-01-10 17:07:50 EST
(In reply to comment #2)

> The panel applet could display this date/time so that a user would know how old
> the observations are. It might also be useful to flag stale observations (older
> than 24 hours, say).

See Bug 479539 -  Weather Report applet may report incorrect month for "Last update"

> Another enhancement would be to display the full location name.
> For example, the "Current Conditions" tab could show "Berlin-Tempelhof" instead
> of  "Berlin".

See Bug 479529 -  Weather Report applet does not display enough of the location name
Comment 6 Dan Winship 2009-01-13 09:52:33 EST
re-filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=567607. This will likely be fixed for F11.

Note You need to log in before you can comment on or make changes to this bug.